Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class CommentImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.TextImpl
              org.apache.axis.message.CommentImpl

All Implemented Interfaces:
  CharacterData, Comment, Node, javax.xml.soap.Node, Text, javax.xml.soap.Text

public class CommentImpl
extends TextImpl
implements Comment

Most of methods are inherited from TEXT, defined for its Interface Marker * only * * @author Heejune Ahn (cityboy@tmax.co.kr)

Field Summary

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CommentImpl(Node node)`

Method Summary
`boolean` | `isComment()` Retrieves whether this object represents a comment.

Methods inherited from class org.apache.axis.message.TextImpl
`appendData, deleteData, getData, getLength, getValue, getWholeText, insertData, isElementContentWhitespace, replaceData, replaceWholeText, setData, setValue, splitText, substringData`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, cloneNode, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, recycleNode, removeChild, replaceChild, setNodeValue, setParentElement, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, recycleNode, setParentElement`

Constructor Detail

### CommentImpl

    public CommentImpl(Node node)

Method Detail

### isComment

    public boolean isComment()

  Description copied from class: `TextImpl`
  Retrieves whether this object represents a comment.

  Specified by:
    `isComment` in interface `javax.xml.soap.Text`
  Overrides:
    `isComment` in class `TextImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.